local logging = nsg.logging
local type, date, open = type, os.date, io.open

module"nsg.logging"

function logging.file(filename, datePattern, logPattern)
  
  if type(filename) ~= "string" then
    filename = "lualogging.log"
  end
  --filename = string.format(filename, os.date(datePattern))
  local f = open(filename, "a")
  if not f then
    return nil, ("file `%s' could not be opened for writing"):format(filename)
  end
  f:setvbuf ("line")
  
  return logging.new( function(self, level, message)
      local s = logging.prepareLogMsg(logPattern, date(datePattern), level, message)
      f:write(s)
      return true
    end
  )
end
